import java.util.Scanner;
public class prijatelji {

	public static void main(String[] args) {
		
		Scanner input = new Scanner(System.in);
		System.out.print("Broj ucenika: ");
        int n = input.nextInt();
        
    	System.out.print("Broj poznanstava: ");
        int m = input.nextInt();
        
        int[][] matrica = new int[4][n-1];
 
        for (int i=0;i<n;i++) {
        	System.out.print("unesite druzeljubivost narednog takmicara: ");
        	int temp = input.nextInt();
        	matrica[0][i]=temp;
        }
       while(true) {
        	System.out.print("unesite poznanstvo: ");
        	int prvi = input.nextInt();
        	int drugi = input.nextInt();
        	if(prvi<=0 && drugi<=0  ) break;
        	if(matrica[0][prvi]>0 && matrica[0][drugi]>0) {
        		matrica[1][prvi]++;
        		matrica[1][drugi]++;
        	}
        	else{
        		matrica[2][prvi]++;
        	    matrica[2][drugi]++;
        	}}
        for(int i=0;i<n;i++) {
    		matrica[3][i]=matrica[0][i]*(matrica[1][i]-matrica[2][i]);
    	}
        int sreca=0;
        for(int i=0;i<n;i++) sreca+=matrica[3][i];
        System.out.print(sreca);
        input.close();
	
	}

}